#include <stdio.h>

int main () {
  int n, i, j;
  
  scanf("%d", &n);
  if(n<=0)
    printf("-1\n");
  else
  {
    for(i=1; i<=n; i++) {
      for(j=1; j<=i; j++) 
	printf("*-");
	printf("\n");
    }
  }
  return 0;
}
      
